const parrafos = document.querySelectorAll('p');
const listasOrdenadas = document.querySelectorAll('ol');
const listasDesordenadas = document.querySelectorAll('ul');
const estadisticas = document.querySelector('.js_estadisticas');

let listas = [...listasOrdenadas, ...listasDesordenadas];

const button = document.createElement('button');
const nuevoParrafo = document.createElement('p');

button.textContent = 'Estadisticas';
button.setAttribute('class', 'buttonEstadisticas');
nuevoParrafo.setAttribute('class', 'parrafoEstadistica');

function hanclickButtonEstadisticas(ev) {
  nuevoParrafo.textContent = '';
  ev.preventDefault();
  if (listas.length === 0) {
    nuevoParrafo.textContent = `La página tiene ${parrafos.length} párrafos y no tiene listas.`;
  } else if (listas.length === 1) {
    nuevoParrafo.textContent = `La página tiene ${parrafos.length} párrafos y 1 lista.`;
  } else {
    nuevoParrafo.textContent = `La página tiene ${parrafos.length} párrafos y ${listas.length} listas.`;
  }
  estadisticas.appendChild(nuevoParrafo);
}

function resetParrafo() {
  estadisticas.removeChild(nuevoParrafo);
}

estadisticas.appendChild(button);

button.addEventListener('click', hanclickButtonEstadisticas);

button.addEventListener('dblclick', resetParrafo);
